Skip to main content
PATCH
/
v1
/
esims
/
{iccid}
/
availability
Set grace period finish action
curl --request PATCH \
  --url https://api.bondio.co/v1/esims/{iccid}/availability \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "gracePeriodFinishAt": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

iccid
string
required

iccid of the esim

Body

application/json
gracePeriodFinishAction
enum<string>
Available options:
LAPSE,
PRESERVE

Response

gracePeriodFinishAction
enum<string>
required

The action that would be taken by the system once the grace period is finished.

Available options:
LAPSE,
PRESERVE
gracePeriodFinishAt
integer
required

Timestamp at which the grace period finishes.

currentState
enum<string>
required
Available options:
ACTIVE,
LAPSED